dpkg-statoverride(1)

NOM
dpkg-statoverride - Annuler la propriété et le mode des fichiers

SYNOPSIS
dpkg-statoverride [option...] commande

DESCRIPTION
Les « dérogations d'état » sont une façon de demander à dpkg(1) de changer le propriétaire ou le mode d'un chemin lors de l'installation d'un paquet (cela s'applique à tout objet de système de fichiers que dpkg gère, notamment les répertoires, les périphériques, etc.). On peut s'en servir pour forcer l'installation de programmes qui sont normalement « setuid » sans ce drapeau « setuid », ou pour les rendre exécutables seulement par un groupe donné.

dpkg-statoverride est un utilitaire pour gérer la liste des dérogations. Il possède trois fonctions élémentaires : l'ajout, la suppression et le listage des dérogations.

COMMANDES

--add utilisateur groupe mode chemin
    Ajoute une dérogation (« override ») pour chemin. chemin n'a pas besoin d'exister ni d'être connu de dpkg quand cette commande est utilisée ; la dérogation est stockée et utilisée par la suite. Les utilisateurs ou les groupes peuvent être indiqués par leur nom (par exemple root ou nobody) ou bien par leur numéro, en préfixant ce numéro par le caractère « # » (par exemple, #0 ou #65534). Le mode doit être indiqué en numérotation octale.

    Si --update est utilisée et si chemin existe, le fichier change immédiatement de propriétaire et de mode.

--remove  chemin
    Supprime une dérogation (« override ») pour chemin, l'état de chemin est inchangé.

--list [motif-global]
    Liste toutes les dérogations. Quand on donne une expression rationnelle (« glob »), la sortie est limitée aux dérogations qui correspondent au motif.

--help
    Afficher un message d'aide puis quitter.

--force-help
    Donne des renseignements sur les options --force-quelque-chose (depuis dpkg 1.19.5).

--version
    Afficher le numéro de version puis quitter.

OPTIONS

--admindir répertoire
    Fixe le répertoire d'administration à répertoire, où se trouve aussi le fichier statoverride. La valeur par défaut est /var/lib/dpkg. si DPKG_ADMINDIR n'a pas été défini.

--instdir répertoire
    Définit le répertoire d'installation qui désigne le répertoire où les paquets sont installés (depuis dpkg 1.19.2). Par défaut c'est « / » si DPKG_ROOT n'a pas été défini.

--root répertoire
    Définit le répertoire root à directory, ce qui définit le répertoire d'installation à « répertoire » et le répertoire d'administration à « répertoire/var/lib/dpkg » (depuis dpkg 1.19.2) si DPKG_ROOT n'a pas été défini.

--force-quelque-chose
--no-force-quelque-chose, --refuse-quelque-chose
    Force ou refuse (no-force et refuse signifient la même chose) de faire quelque chose (depuis dpkg 1.19.5). quelque-chose est une liste d'actions séparées par des virgules, décrites ci-après. --force-help affiche un message qui les décrit. Les actions marquées d'un (*) sont forcées par défaut.

    Avertissement : ces options sont principalement destinées aux experts. Un usage auquel manque la pleine compréhension de leurs effets peut casser le système entier.

    all : Met en œuvre (ou pas) toutes les options de forçage.

    statoverride-add : remplacer une dérogation d'état existante lors de son ajout (depuis dpkg 1.19.5)

    statoverride-remove : ignorer l'absence de dérogation d'état lors de sa suppression (depuis dpkg 1.19.5).

    security-mac(*) : utiliser une sécurité basée sur le contrôle d'accès obligatoire (Mandatory Access Controls – MAC) spécifique à la plateforme lors de l'installation de fichiers dans le systèmes de fichiers (depuis dpkg 1.19.5). Sur les systèmes Linux, la mise en œuvre utilise SELinux.

    not-root : tenter de (dés)installer même sans être root (depuis dpkg 1.21.8).

--force
    Force une opération, même si un test de validité l'interdirait. C'est nécessaire pour annuler une précédente dérogation. Cette option est obsolète (depuis dpkg 1.19.5), elle est remplacée par --force-all.

--update
    Essaye de changer immédiatement le chemin vers les nouveaux propriétaire et mode s'il existe.

--quiet
    Moins de bavardage sur ce qui est fait.

CODE DE SORTIE

0   L'action demandée s'est correctement déroulée.

1   Pour --list, s'il n'y a pas de dérogation ou si aucune ne correspond au « glob » fourni.

2   Erreur fatale ou irrécupérable due à l'utilisation d'une ligne de commande non valable, ou interactions avec le système, telles que des accès à la base de données, des allocations de mémoire, etc.

ENVIRONNEMENT

DPKG_ROOT
    Si cette variable est positionnée et que les options --admindir ou --root ne sont pas précisées, ce répertoire sera utilisé comme répertoire racine du système de fichiers (depuis dpkg 1.19.2).

DPKG_ADMINDIR
    Si cette variable est positionnée et que les options --admindir ou --root ne sont pas précisées, ce répertoire sera utilisé comme répertoire de données pour dpkg.

DPKG_DEBUG
    Définit le masque de débogage (depuis dpkg 1.21.10) à partir d'une valeur octale. Actuellement, les drapeaux acceptés sont décrits dans l'option dpkg --debug, mais ces drapeaux n'auront pas tous un effet sur ce programme.

DPKG_FORCE
    Si cette variable est positionnée et qu'aucune des options --force-... n'est précisée, elle sera considérée comme l'option de forçage à utiliser (depuis dpkg 1.19.5).

DPKG_COLORS
    Définit le mode de couleur (depuis dpkg 1.18.5). Les valeurs actuellement acceptées sont auto (par défaut), always et never.

FICHIERS

/var/lib/dpkg/statoverride
    Ce fichier contient la liste actuelle des dérogations concernant le système. Il se trouve dans le répertoire d'administration de dpkg, avec les autres fichiers importants comme status ou available.

    Note : dpkg-statoverride garde une copie de ce fichier, avec une extension « -old », avant de le remplacer par un nouveau.

VOIR AUSSI
dpkg(1).

TRADUCTION
Ariel VARDI <ariel.vardi@freesbee.fr>, 2002. Philippe Batailler, 2006. Nicolas François, 2006. Veuillez signaler toute erreur à <debian-l10n-french@lists.debian.org>.